Subject: Re: bug#33864: 27.0.50; Display corruption with "small" font size when something is in the fringe

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 Dec 2018 20:39:05 +0200

> From: Dale Sedivec <[email-masked]>
> Date: Tue, 25 Dec 2018 12:30:01 -0600
> Cc: [email-masked]
> 
> > Does it help to decrease the size of the Flymake's fringe indicators
> > when you switch to a smaller font?  From the screenshot it looks like
> > the indicator keeps its original size although the font becomes a lot
> > smaller.
> 
> I think I did what you ask by making a bitmap with just a single pixel
> turned on:
> 
> (define-fringe-bitmap 'smallest
>     (vector #b00000000
>             #b00000000
>             #b00000000
>             #b00000000
>             #b00000000
>             #b00000000
>             #b00000000
>             #b00000000
>             #b00010000
>             #b00000000
>             #b00000000
>             #b00000000
>             #b00000000
>             #b00000000
>             #b00000000
>             #b00000000
>             #b00000000))
> 
> (setq flymake-note-bitmap '(smallest compilation-info))
> 
> Followed by M-x flymake-start RET to re-run Flymake and update the
> fringe.  This did not fix the problem: I do see my single pixel fringe
> bitmap, but the line still gets corrupted as described in my original
> report.
> 
> (But please do let me know if you were asking something different.)

I think I meant to make the indicator bitmap smaller, i.e. have fewer
members in the above vector.  Since you switch to a size-9 font, which
is 3/4 of the default size, how about making the above bitmap have 12
or 13 lines, instead of 17 now?